
//-----------------------------------------------------------------------
//<copyright>
// * Copyright (C) 2021 KEHAIDASOFT All Rights Reserved
// * version : 4.0.30319.42000
// * author  : khd by t4-2
// </copyright>
//-----------------------------------------------------------------------

using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Khd.Core.Domain.Models
{

    [Table("base_plcpointsite")]
    public class BasePlcpointsite
    {

        [Key]
        [Column("id")]
        public int id { get; set; }

        [Column("site_id")]
        public Guid? siteId { get; set; }

        /// <summary>
        /// 站点编码
        /// </summary>
        [Column("site_no")]
        public string siteNo { get; set; }

        /// <summary>
        /// 站点名称
        /// </summary>
        [Column("site_name")]
        public string siteName { get; set; }

        /// <summary>
        /// plcid
        /// </summary>
        [Column("plcpoint_id")]
        public Guid? plcpointId { get; set; }

        /// <summary>
        /// plc点编码
        /// </summary>
        [Column("plcpoint_no")]
        public string plcpointNo { get; set; }

        /// <summary>
        /// plc点名称
        /// </summary>
        [Column("plcpoint_name")]
        public string plcpointName { get; set; }

        /// <summary>
        /// plc点逻辑类型
        /// </summary>
        [Column("plctype_id")]
        public Guid? plctypeId { get; set; }

        [Column("is_delete")]
        public int? isDelete { get; set; }

        [Column("create_time")]
        public DateTime? createTime { get; set; }

        [Column("create_id")]
        public Guid? createId { get; set; }

        [Column("create_by")]
        public string createBy { get; set; }

        [Column("modify_time")]
        public DateTime? modifyTime { get; set; }

        [Column("modify_id")]
        public Guid? modifyId { get; set; }

        [Column("modify_by")]
        public string modifyBy { get; set; }

        [Column("definefield3")]
        public string definefield3 { get; set; }

        [Column("definefield1")]
        public string definefield1 { get; set; }

        [Column("definefield2")]
        public string definefield2 { get; set; }
    }
}

